Cocoon API: Class XSPLogicsheet

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp
Class XSPLogicsheet

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.XSPLogicsheet

public class XSPLogicsheet
extends java.lang.Object

Version:
  $Revision: 1.1 $ $Date: 2000/03/15 03:25:13 $
Author:
  Ricardo Rocha

Field Summary
`protected XSPPreprocessor` | `preprocessor`
`protected org.w3c.dom.Document` | `stylesheet`

Constructor Summary
`XSPLogicsheet(Transformer transformer, Parser parser, java.lang.String templateBase)`

Method Summary
`org.w3c.dom.Document` | `apply(org.w3c.dom.Document document, java.util.Dictionary parameters)`
`XSPPreprocessor` | `getPreprocessor()`
`org.w3c.dom.Document` | `getStylesheet()`
`void` | `setPreprocessor(XSPPreprocessor preprocessor)`
`void` | `setStylesheet(org.w3c.dom.Document stylesheet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stylesheet

    protected org.w3c.dom.Document stylesheet

### preprocessor

    protected XSPPreprocessor preprocessor

Constructor Detail

### XSPLogicsheet

    public XSPLogicsheet(Transformer transformer,
                         Parser parser,
                         java.lang.String templateBase)

Method Detail

### setStylesheet

    public void setStylesheet(org.w3c.dom.Document stylesheet)

### setPreprocessor

    public void setPreprocessor(XSPPreprocessor preprocessor)

### getStylesheet

    public org.w3c.dom.Document getStylesheet()

### getPreprocessor

    public XSPPreprocessor getPreprocessor()

### apply

    public org.w3c.dom.Document apply(org.w3c.dom.Document document,
                                      java.util.Dictionary parameters)
                               throws java.lang.Exception

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.